Bug 113657 - RFE: standard parameter for service specific syntax checkers
Summary: RFE: standard parameter for service specific syntax checkers
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-16 05:04 UTC by Mike MacCana
Modified: 2014-03-17 02:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 14:28:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike MacCana 2004-01-16 05:04:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
Howdy. Various network services have various, differently named syntax checkers. There's 'testparm' for samba, 'apachectl configtest' for apache httpd, and 'named-checkzone' for BIND. 

It'd be nice if there was a standard way to run the syntax checker for a given service. 

A parameter for the service command to do this, that looked for a syntax checker in the header of the services sysv initscript would be useful. If a service doesn't have a syntax checker, print a message saying this.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Attempt to remember a given services syntax checker
    

Additional info:

Comment 1 Suzanne Hillman 2004-01-21 21:07:51 UTC
Internal RFE bug #114050 entered. Will be considered for future release.

Comment 2 Suzanne Hillman 2004-04-22 14:28:32 UTC
Thank you for the suggestion. It was passed along to product
management, but not committed for a future release.


Note You need to log in before you can comment on or make changes to this bug.